---
title: "Simulate Clearing a Card Transaction - EEA"
source_url: https://docs.rapyd.net/en/simulate-clearing-a-card-transaction---eea.html
lang: en
---

# Simulate Clearing a Card Transaction - EEA

Simulate clearing a debit transaction.

This method triggers [Webhook - Card Issuing Sale](https://docs.rapyd.net/en/card-issuing-sale-webhook.md "Card Issuing Sale Webhook"). When a fee is charged for an ATM transaction, this method also triggers [Webhook - Card Issuing ATM Fee](https://docs.rapyd.net/en/card-issuing-atm-fee-webhook.md "Card Issuing ATM Fee Webhook"). Use this method in the sandbox

This method deducts funds from the **on-hold balance** in the wallet. See [Wallet Balance Types](https://docs.rapyd.net/en/wallet-balance-types.md "Wallet Balance Types").

**Prerequisites:**

- [Issue Card](https://docs.rapyd.net/en/issue-card.md "Issue Card")
- [Activate Issued Card Using API](https://docs.rapyd.net/en/activate-issued-card-using-api.md "Activate Issued Card Using API")
- [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA")

### Parameters

### Request Body Parameters

- - amount
  - The amount of the authorization, in units of the currency defined in `currency`. Decimal.
- - authorization_id
  - ID of the authorization. String starting with **cardauth_**. Use the value of `id` in the response to [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA").
- - card_id
  - ID of the card. String starting with **card_**.
- - category
  - Type of charge: **ATM**. Required when `fee_amount` is set.
- - currency
  - The currency supported by the card. Three-letter ISO 4217 code.
- - fee_amount
  - The amount of the fee charged for the transaction, in units of the currency defined in `currency`. Decimal. Required when `category` is set.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount of the transaction, in units defined in `currency`.
- - auth_response
  - Response related to an authorization. Contains the following fields:

    - - code
      - Indicates success or reason for failure.
    - - message
      - Descriptive text.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_transaction_id
  - ID of the transaction. String starting with **cit_**.
- - currency_code
  - Currency of the transaction. Three-letter ISO 4217 code.
- - fx_rate
  - The exchange rate. Relevant to capture (clearing) transactions.
- - id
  - ID of the authorization. String starting with **cardauth_**.
- - is_remote_auth
  - Indicates whether remote authorization is enabled.
- - merchant_category_code
  - Four-digit merchant category code (MCC) of the initiator of the transaction, as defined in [ISO 18245](https://www.iso.org/standard/33365.html).
- - merchant_identification_code
  - Reserved.
- - merchant_name_location
  - Name and location of the merchant. Maximum 40 characters.

    TEST MERCHANT
- - remote_auth_endpoint
  - The URL where the remote authorization is sent.
- - remote_auth_response
  - Response to a successful remote authorization request. Contains the following fields:

    - - authorization_id
      - ID of the authorization. String starting with **cardauth_**.
    - - response_code
      - Code returned by the client in the response to the remote authorization.
    - - auth_code
      - Authorization code returned by the client in the response to the remote authorization.
- - transaction_amount
  - Amount debited from the Rapyd Wallet. Decimal, including the correct number of decimal places for the currency exponent, as defined in ISO 2417:2015.
- - transaction_currency_code
  - Original transaction currency, if different from the currency credited to the Rapyd Wallet. Three-letter ISO 4217 code.
- - txn_type
  - Type of transaction. One of the following values:

    - **ADJUSTMENT**
    - **ATM_FEE**
    - **CREDIT**
    - **REFUND**
    - **REVERSAL**
    - **SALE**

- /v1/issuing/cards/clearing

- Card Transaction Clearing - Sale
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net//v1/issuing/cards/clearing
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
    "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
    "amount": 3,
    "currency": "USD",
    "authorization_id": "cardauth_d8bdc1a61f558c2f7edcbbc8b45f1586"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "e1d94b6f-c8f8-4f12-827a-a9a65bb883b4"
      },
      "data": {
          "id": "cardauth_63a1b74cf0f708b6a0637bfe85e7d91f",
          "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
          "card_transaction_id": "cit_a8aaa271b7d0219ced46543b310e3678",
          "amount": 3,
          "currency_code": "USD",
          "txn_type": "SALE",
          "auth_response": {
              "code": "00",
              "message": "APPROVED_OR_COMPLETED_SUCCESSFULLY"
          },
          "is_remote_auth": false,
          "remote_auth_endpoint": "",
          "remote_auth_response": null,
          "transaction_amount": 3,
          "transaction_currency_code": "USD",
          "fx_rate": null,
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "merchant_identification_code": "#RAPYD SANDBOX#"
      }
  }
  ```

- Card Transaction Clearing - ATM
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net//v1/issuing/cards/clearing
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
    "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
    "amount": 3,
    "currency": "USD",
    "authorization_id": "cardauth_4be323ac5a60c768e531a49bfd93076b",
    "category": "ATM",
    "fee_amount": 1
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "8a00be36-8b51-454a-bb25-28168d8f3e88"
      },
      "data": {
          "id": "cardauth_16392123dcb18a7c7df026d970d15f89",
          "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
          "card_transaction_id": "cit_2607ec2f524ed370213a6739ade3b621",
          "amount": 3,
          "currency_code": "USD",
          "txn_type": "SALE",
          "auth_response": {
              "code": "00",
              "message": "APPROVED_OR_COMPLETED_SUCCESSFULLY"
          },
          "is_remote_auth": false,
          "remote_auth_endpoint": "",
          "remote_auth_response": null,
          "transaction_amount": 3,
          "transaction_currency_code": "USD",
          "fx_rate": null,
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "merchant_identification_code": "#RAPYD SANDBOX#"
      }
  }
  ```
